$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.47.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.47.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CDA3CD9C0D8A3882EB438676C00396410C6C60D150D411158187B38F77244016'
  checksumType = 'sha256'
  checksum64 = 'CDA3CD9C0D8A3882EB438676C00396410C6C60D150D411158187B38F77244016'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.47-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
